Useful or not, from you.
xcode-install Unable to determine Xcode version from path name

run xcversion update, showing these:

Unable to determine Xcode version from path name, installed list may not correctly identify installed betas
nil versions are discouraged and will be deprecated in Rubygems 4

xcversion version is 2.6.6

That's a useful answer
Without any help

Same here with 2.6.6 just trying with xcversion list.